Page MenuHomePhabricator

copies-rust: add methods to build and update CopySource
ClosedPublic

Authored by marmoute on Dec 21 2020, 5:28 PM.

Details

Summary

Having explicit method with clear semantic help to clarify the code and prepare
an update to the underlying documentation without too much disruption.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Dec 21 2020, 5:28 PM
pulkit added a subscriber: pulkit.Dec 22 2020, 9:10 AM
pulkit added inline comments.
rust/hg-core/src/copy_tracing.rs
687

Seems like an unrelated change that should be in a different patch.

711–712

This too looks like an unrelated change as far as this patch is concerned.

marmoute added inline comments.Dec 22 2020, 9:15 PM
rust/hg-core/src/copy_tracing.rs
687

Good catch ! I forgot this was there. Updated version pushed

baymax updated this revision to Diff 24507.Dec 23 2020, 3:50 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.Dec 28 2020, 3:16 AM
This revision is now accepted and ready to land.Dec 28 2020, 3:16 AM
baymax updated this revision to Diff 24577.Jan 5 2021, 3:52 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 24599.Jan 5 2021, 9:17 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Jan 8 2021, 6:15 AM
baymax updated this revision to Diff 24640.Jan 8 2021, 10:26 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25688.Feb 22 2021, 9:04 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25747.Feb 22 2021, 11:17 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25782.Feb 22 2021, 3:16 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was automatically updated to reflect the committed changes.